Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
ptr_data Struct Reference

`#include <dl.h>`

## Data Fields
void * | ptr
long | size
freefunc_t | free
VALUE | wrap [2]

## Detailed Description

Definition at line 200 of file dl.h.

## Field Documentation

freefunc_t ptr_data::free

Definition at line 203 of file dl.h.

Referenced by dlptr_free(), fiddle_ptr_free(), rb_dlptr_free_get(), rb_dlptr_free_set(), rb_dlptr_initialize(), rb_dlptr_inspect(), rb_dlptr_new2(), rb_dlptr_s_allocate(), rb_fiddle_ptr_free_get(), rb_fiddle_ptr_free_set(), rb_fiddle_ptr_initialize(), rb_fiddle_ptr_inspect(), rb_fiddle_ptr_new2(), and rb_fiddle_ptr_s_allocate().

void * ptr_data::ptr

Definition at line 201 of file dl.h.

Referenced by dlptr_free(), dlptr_mark(), dlptr_memsize(), fiddle_ptr_free(), fiddle_ptr_mark(), fiddle_ptr_memsize(), rb_dl_free(), rb_dl_malloc(), rb_dl_realloc(), rb_dlptr2cptr(), rb_dlptr_aref(), rb_dlptr_aset(), rb_dlptr_initialize(), rb_dlptr_inspect(), rb_dlptr_malloc(), rb_dlptr_minus(), rb_dlptr_new2(), rb_dlptr_null_p(), rb_dlptr_plus(), rb_dlptr_ptr(), rb_dlptr_ref(), rb_dlptr_s_allocate(), rb_dlptr_s_to_ptr(), rb_dlptr_to_i(), rb_dlptr_to_s(), rb_dlptr_to_str(), rb_dlptr_to_value(), rb_fiddle_ptr2cptr(), rb_fiddle_ptr_aref(), rb_fiddle_ptr_aset(), rb_fiddle_ptr_initialize(), rb_fiddle_ptr_inspect(), rb_fiddle_ptr_malloc(), rb_fiddle_ptr_minus(), rb_fiddle_ptr_new2(), rb_fiddle_ptr_null_p(), rb_fiddle_ptr_plus(), rb_fiddle_ptr_ptr(), rb_fiddle_ptr_ref(), rb_fiddle_ptr_s_allocate(), rb_fiddle_ptr_s_to_ptr(), rb_fiddle_ptr_to_i(), rb_fiddle_ptr_to_s(), rb_fiddle_ptr_to_str(), and rb_fiddle_ptr_to_value().

long ptr_data::size

Definition at line 202 of file dl.h.

Referenced by dlptr_memsize(), fiddle_ptr_memsize(), rb_dlptr_initialize(), rb_dlptr_inspect(), rb_dlptr_new2(), rb_dlptr_s_allocate(), rb_dlptr_to_str(), rb_fiddle_ptr_initialize(), rb_fiddle_ptr_inspect(), rb_fiddle_ptr_new2(), rb_fiddle_ptr_s_allocate(), and rb_fiddle_ptr_to_str().

VALUE ptr_data::wrap

Definition at line 204 of file dl.h.

Referenced by dlptr_mark(), fiddle_ptr_mark(), rb_dlptr_free_set(), rb_dlptr_initialize(), rb_dlptr_s_malloc(), rb_dlptr_s_to_ptr(), rb_fiddle_ptr_free_set(), rb_fiddle_ptr_initialize(), rb_fiddle_ptr_s_malloc(), and rb_fiddle_ptr_s_to_ptr().

The documentation for this struct was generated from the following files:

- ext/dl/dl.h
- ext/fiddle/pointer.c